.section-container {
    margin-top: 2rem;
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
}

section {
    background-color: var(--color-background);
    width: 100%;
    min-height: 100vh;
    max-width: 1680px;
    margin: auto;
}

.title {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem;
}

h1 {
    font-size: 2.8rem;
    font-weight: 500;
    /* width: fit-content; */
    padding: 4px 7px;
}

.destak {
    background-color: var(--color-primary);
    color:var(--color-background);
    padding: 2px 7px !important;
}

.btn-custom {
    cursor: pointer;
    background-color: var(--color-primary);
    height: 3rem;
    margin: auto;
    border: none;
    border-radius: 8px;
    color: var(--color-background);
    font-size: 1.2rem;
    font-weight: 700;
}

.btn-custom>a {
    text-decoration: none;
    color: var(--color-background);;

}
.btn-custom:hover,.btn-custom:hover>a ,.btn-yellow {
    background-color: var(--color-other);
    color: var(--color-primary);
}


@media (max-width: 480px) {
    .container {
        width: 100%;
        max-width: none;
    }
}


#schedule-line {
    color: var(--color-other);
    width: 90%;
    max-width: 1580px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    margin: 40px auto 0px;
    padding-bottom: 25px;
    border-bottom: 3px solid var(--color-other);
    gap: 0px;
}

.schedule-data {
    text-align: center;
    width: 12%;
    font-weight: 800 !important;
}

.schedule-container-desc-local {
    @media(max-width: 575px) {
        display: flex;
        flex-direction: column-reverse;
        flex-wrap: wrap-reverse;
    }
}   

.schedule-description {
    width: 40%;
    min-height: 100%;
    
    @media(max-width: 575px) {
        width: 100%;
    }
}

.schedule-local {
    width: 20%;
}

.schedule-container-button {
    width: 18%;
    
    @media(max-width: 575px) {
        width: 100%;   
    }
}

.schedule-container-button .btn-custom {
    margin: auto;
    background-color: var(--color-background);
}



.btn-custom {
    @media(max-width: 991px) {
        width: 90%;
    }

    @media(max-width: 820px) {
        font-size: 0.95rem;
    }
}

.schedule-button {
    background-color: var(--color-primary) !important;
    color: var(--color-text-with);
    width: 100%;
    max-width: 11rem;
    min-height: 5rem;
}

.schedule-button-disabled, .schedule-button-disabled:hover {
    background-color: var(--color-background) !important;
    color: var(--color-text) !important;
    cursor: default;
    border: 1px solid;
    border-color: var(--color-other);
}

.schedule-button:hover {
    color: var(--color-other);
}

@media(max-width: 575px) {
    #schedule-container-example {
        display: none;
    }

    #schedule-line {
        display: grid;
        grid-template-areas: 
            "schedule-data schedule-local"
            "schedule-description schedule-description"
            "schedule-container-button schedule-container-button";
        grid-template-columns: 35% 65%;
        padding: 15px;
    }

    .schedule-data {
        grid-area: schedule-data;
        text-align: center;

        background-color: var(--color-primary);
        color: var(--color-text-with);
        width: 100%;
        padding: 10%;
        border-radius: 12px 0 0 12px;
        font-size: 0.9rem;
    }

    .schedule-local {
        grid-area: schedule-local;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: left;

        width: 100%;
        height: 100%;
        color: var(--color-text-with);
        border-radius: 0 12px 12px 0;
        background-color:var(--color-other);
    }

    .schedule-container-button {
        grid-area: schedule-container-button;
        width: 100%;
    }

    .schedule-description {
        grid-area: schedule-description;
        display: flex;
        align-items: center;
        width: 70%;
        min-height: 70px;
        text-align: left;
        margin-left: 6px;
    }

    .schedule-button {
        display: block;
        min-width: 100%;
        max-width: 100%;
        min-height: 20px !important;
        max-height: fit-content;
        padding: 8px;
    }
}

@media(max-width: 365px) {
    #schedule-line {
        grid-template-columns: 43% 58%;
    }

    .schedule-description {
        width: 82%;
    }
}

